<div class="dialog-content-wrapper">
    <mat-toolbar matDialogTitle class="mat-accent m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title">{{dialogTitle}}</span>
            <button mat-icon-button (click)="matDialogRef.close()" aria-label="Close dialog">
                <mat-icon>close</mat-icon>
            </button>
        </mat-toolbar-row>
    </mat-toolbar>

    <div mat-dialog-content class="p-24 pb-0 m-0" >
        <form fxLayout="column" fxLayoutAlign="start"
              fxFlex="1 0 auto" name="form" [formGroup]="consultationForm">


            <div fxLayout="row" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>Reason</mat-label>
                    <textarea matInput formControlName="reason">
                    </textarea>
                    <!--                    <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>-->
                    <!--                    <mat-error>First Name is required!</mat-error>-->
                </mat-form-field>


            </div>
            <md-input-container formGroupName="payment">
            <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                    <mat-label>Total</mat-label>
                    <mat-icon matSuffix class="secondary-text">cost</mat-icon>
                    <input type="number" formControlName="total" matInput [(ngModel)]="totalCost" min="0">
                    <mat-error *ngIf="consultationForm.get('payment.total').hasError('min')">
                        Minimum should be 0
                    </mat-error>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                    <mat-label>Amount Paid</mat-label>
                    <mat-icon matSuffix class="secondary-text">cost</mat-icon>
                    <input type="number" formControlName="amountPaid" matInput min="0">
                    <mat-error *ngIf="consultationForm.get('payment.amountPaid').hasError('min')">
                        Minimum should be 0
                    </mat-error>
                    <mat-error *ngIf="consultationForm.get('payment.amountPaid').hasError('max')">
                        Maximum should be {{totalCost}}
                    </mat-error>
                </mat-form-field>

            </div>
            </md-input-container>

            <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">
                <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                    <mat-label>Choose a date</mat-label>
                    <mat-icon matSuffix class="secondary-text">calendar</mat-icon>

                    <input #i formControlName="date" matInput [matDatepicker]="picker">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
            </div>



        </form>


    </div>

    <div mat-dialog-actions class="m-0 p-16" fxLayout="row" fxLayoutAlign="end center">

        <button *ngIf="action === 'edit'" mat-button class="mr-8"
                (click)="matDialogRef.close(['delete',consultationForm])" aria-label="Delete" matTooltip="Delete">
            DELETE
        </button>

        <button *ngIf="action !== 'edit'" mat-button class="save-button"
                (click)="matDialogRef.close(consultationForm)"
                [disabled]="consultationForm.invalid" aria-label="SAVE">
            ADD
        </button>

        <button *ngIf="action === 'edit'" mat-button class="save-button"
                (click)="this.matDialogRef.close(['save', this.consultationForm])"
                [disabled]="consultationForm.invalid"
                aria-label="SAVE">
            SAVE
        </button>

    </div>
</div>


